> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar formação

> Cria uma nova formação no currículo do usuário autenticado



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json post /api/v1/empregabilidade/curriculo/formacoes
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/curriculo/formacoes:
    post:
      tags:
        - empregabilidade-curriculo
      summary: Criar formação
      description: Cria uma nova formação no currículo do usuário autenticado
      requestBody:
        $ref: '#/components/requestBodies/empregabilidade.CurriculoFormacao'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/empregabilidade.CurriculoFormacao'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  requestBodies:
    empregabilidade.CurriculoFormacao:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/empregabilidade.CurriculoFormacao'
      description: Dados da formação
      required: true
  schemas:
    empregabilidade.CurriculoFormacao:
      type: object
      properties:
        ano_conclusao:
          type: string
        cpf:
          type: string
        created_at:
          type: string
        escolaridade:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Escolaridade'
        id:
          type: string
        id_escolaridade:
          type: string
        nome_curso:
          type: string
        nome_instituicao:
          type: string
        status:
          $ref: '#/components/schemas/empregabilidade.StatusFormacao'
        updated_at:
          type: string
    empregabilidade.Escolaridade:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.StatusFormacao:
      type: string
      enum:
        - Completo
        - Em andamento
        - Incompleto
      x-enum-varnames:
        - StatusFormacaoCompleto
        - StatusFormacaoEmAndamento
        - StatusFormacaoIncompleto
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````